1.4.2 Minimum Requirements: Software

If you want to sync your photos to a computer running Mac or Windows, you will need Adobe Photoshop Lightroom, version 4 or newer.  Lightroom version 5 is preferred. The 30 day demo version of Lightroom is fully functional with Photosmith, and will work well for evaluation.

The minimum specifications for Photosmith-related software are:

Computer Operating Systems:

  • Apple OS X Snow Leopard (10.6) or newer (Mavericks 10.9 recommended)
  • Microsoft XP SP3 or newer (Windows 7 Professional recommended)

iOS:

  • iOS 5.1.1 (iPad1) or 6.1.  iOS 7 is strongly recommended.

Lightroom:

  • Lightroom 4.0 or newer (Lightroom 5.0 or newer is strongly recommended)